#pragma once

#include "CoreMinimal.h"
#include "Subsystems/GameInstanceSubsystem.h"
#include "StoreSegmentationSubsystem.generated.h"

class UDBDGameInstance;

UCLASS(Blueprintable)
class DEADBYDAYLIGHT_API UStoreSegmentationSubsystem : public UGameInstanceSubsystem
{
	GENERATED_BODY()

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	UDBDGameInstance* _dbdGameInstance;

public:
	UStoreSegmentationSubsystem();
};

FORCEINLINE uint32 GetTypeHash(const UStoreSegmentationSubsystem) { return 0; }
